<!-- #Search -->
<div class="Search">
<?php
$tmpSTR='';
$tmpFlag='External_Search_Search';
$tmpDataCollection0=$tmpDefault->sUiDescription_External_Search_Search;
$Coun0=0;
foreach ($tmpDataCollection0 as $Row0){
	$tmpAR0=array();
	$tmpSTR.=$Row0['stcotName'].$tmpDefault->sysSPLIT2;
	$Row0['Value']=$tmpDefault->sSearchData[$Coun0];
	$Row0['NameExtend']=$tmpFlag;
	$tmpDefault->DefUiPanel($Row0,$tmpFlag);
	$tmpDefault->DefUiSearchLine($Coun0);
	if($tmpDefault->DefUiCustom($Row0,$tmpFlag)==0){
		$tmpControls->getSearch($Row0);
	}
	$Coun0++;
}
?>
<div class="SearchCell_Search"><div class="SearchTitle">&nbsp;</div><div class="But1"><a href="#Here" onclick="tmpControl.onSearch_External('','<?php echo($tmpFlag); ?>','<?php echo($tmpDefault->sExtendParameter); ?>');" class="Link1 FBlue2">查询</a></div><input id="SearchBox" name="SearchBox" type="hidden" value="<?php echo ($tmpSTR); ?>" /></div>
<div class="DClear"></div></div>
<!-- #List sort -->
<table class="List" cellpadding="0" cellspacing="1">
<tr class="ListTitle">
<?php
$tmpDefault->sPButton->showSort($tmpDefault->sSortButton[0]);
$tmpDefault->sPButton->showSort($tmpDefault->sSortButton[1]);

$tmpFlag='External_Search_List';
$tmpDataCollection1=$tmpDefault->sUiDescription_External_Search_List;
$Coun0=0;
foreach ($tmpDataCollection1 as $Row0){
	$tmpAR0=array();
	$tmpDefault->DefUiPanel($Row0,$tmpFlag);
	$tmpDefault->sPButton->showSort($Row0);
	$Coun0++;
}
?>
<td class="ListTitle0">操作</td>
</tr>
<!-- #List -->
<?php
$Coun0=0;
foreach ($tmpDefault->sListData as $Row0){
	$tmpLineStyle='ListCell';
	$tmpINT=$Coun0+1;
	if($tmpINT%2==0){
		$tmpLineStyle='ListCell0';
	}
?>
<tr class="<?php echo ($tmpLineStyle); ?>" onmouseover="this.className='ListCell1';" onmouseout="this.className='<?php echo ($tmpLineStyle); ?>';">
<td class="ListCellID"><?php echo ($Row0[$tmpDefault->sTable[0]['sttColumnHead'].'ID']); ?><input id="<?php echo ($tmpDefault->sTable[0]['sttColumnHead']); ?>ID<?php echo ($Coun0); ?>TxtList" name="<?php echo ($tmpDefault->sTable[0]['sttColumnHead']); ?>ID<?php echo ($Coun0); ?>TxtList" type="hidden" value="<?php echo ($Row0[$tmpDefault->sTable[0]['sttColumnHead'].'ID']); ?>" /></td>
<td class="ListCellTitle"><a href="#Here" class="Link1 FBlue3" onclick="tmpTextChoose.Add('<?php echo ($Row0[$tmpDefault->sTable[0]['sttColumnHead'].'ID']); ?>','<?php echo ($Row0[$tmpDefault->sTable[0]['sttColumnHead'].'Name']); ?>','<?php echo ($tmpDefault->sExternal_SearchData[0]); ?>');"><?php echo ($Row0[$tmpDefault->sTable[0]['sttColumnHead'].'Name']); ?></a></td>
<?php
$tmpSTR='';
$tmpFlag='External_Search_List';
$tmpDataCollection1=$tmpDefault->sUiDescription_External_Search_List;
$Coun1=0;
foreach ($tmpDataCollection1 as $Row1){
	$tmpAR0=array();
	$Row1['Value']=$Row0[$Row1['stcotName']];
	$Row0['NameExtend']=$tmpFlag;
	$tmpDefault->DefUiPanel($Row1,$tmpFlag);
	$Row1['stcotName']=$Row1['stcotName'].$Coun0;
	if($tmpDefault->DefUiCustom($Row1,$tmpFlag)==0){
		$tmpControls->getList($Row1);
	}
	$Coun1++;
}
?>
<td class="ListCellOption">
<a href="#Here" class="Link1 FRed1" onclick="tmpTextChoose.Add('<?php echo ($Row0[$tmpDefault->sTable[0]['sttColumnHead'].'ID']); ?>','<?php echo ($Row0[$tmpDefault->sTable[0]['sttColumnHead'].'Name']); ?>','<?php echo ($tmpDefault->sExternal_SearchData[0]); ?>');">选入</a>
<a href="<?php echo ($tmpDefault->sysPage); ?>?ActionType=Normal&Normal=<?php echo ($Row0[$tmpDefault->sTable[0]['sttColumnHead'].'ID']); ?>,0" class="Link1 FBlue1" target="_blank">查看</a>
</td>
</tr>
<?php
	$Coun0++;
}
?>
</table>
<!-- #Page button -->
<?php $tmpDefault->sPButton->showPage(); ?>
